Bug 1425323 - Don't display authorization provider name as a part of user name in users lists if it's displayed in specific authorization provider name column
Summary: Don't display authorization provider name as a part of user name in users lis...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.0.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Ondra Machacek
QA Contact: Gonza
URL:
Whiteboard:
Depends On:
Blocks: 1445736
TreeView+ depends on / blocked
 
Reported: 2017-02-21 08:26 UTC by Michal Skrivanek
Modified: 2019-05-16 13:09 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
: 1445736 (view as bug list)
Environment:
Last Closed: 2018-05-15 17:40:52 UTC
oVirt Team: Infra
Target Upstream Version:
grafuls: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:42:08 UTC
oVirt gerrit 73608 0 master MERGED webadmin: change the way of displaying username 2017-03-27 19:39:15 UTC
oVirt gerrit 74714 0 ovirt-engine-4.1 MERGED webadmin: change the way of displaying username 2017-03-31 12:58:51 UTC

Description Michal Skrivanek 2017-02-21 08:26:57 UTC
The "User Name" column in Users main tab is confusing for AD at least since we display UPN + auth provider. Since there is auth provider in the very next column we can cut off the trailing @auth-provider from the user name to make it much more readable

Comment 2 Martin Perina 2017-02-21 13:23:47 UTC
Currently all users within webadmin are identified as <USERNAME>@<AUTHZ-NAME> ('Authorization Provider' term is used in UI instead of authz-name). Unfortunately on Active Directory it is a bit more complicated, because by default <USERNAME> part contains UPN, which is constructed as <AD-USERNAME>@<AD-DOMAIN>, which means that we sometimes displays really long usernames

So in all views which contain username and also authz-name in different columns, we will not display @<AUTHZ-NAME> part in username column

Comment 3 rhev-integ 2017-04-26 10:49:45 UTC
WARN: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[FOUND CLONE FLAGS: ['rhevm-4.1.z', 'rhevm-4.2-ga'], ]

For more info please contact: rhv-devops@redhat.com

Comment 6 Gonza 2017-11-22 07:48:32 UTC
Verified with:
ovirt-engine-4.2.0-0.0.master.20171119135709.git6d448d3.el7.centos.noarch

First Name | Last Name | User Name | Authorization provider | Namespace | E-mail
user4FirstName | user4LasttName | user4@ad-w2k12r2.redhat.com | ldap-authz-simple_ad | DC=ad-w2k12r2,DC=redhat,DC=com |

Comment 9 errata-xmlrpc 2018-05-15 17:40:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 10 Franta Kust 2019-05-16 13:09:43 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.